992 PHPのバージョンアップ

<<トップページへ

PHPのバージョンアップ
日時: 2008/10/07 22:34
名前: Lavie

管理人様、皆様、いつもお世話になっております。

やっとの思いで、MySQL用GUI設定ツール導入(phpMyAdmin)の導入が出来ました。
そこで、http://サーバー名/phpmyadmin/へアクセスして、phpMyAdminのログイン画面が表示されること確認しようとしましたら、

phpMyAdmin - エラー
PHP を 5.2 以降にアップグレードしてください

と表示されてしまいました。
PHPのバージョンを確認しましたら、

PHP 5.1.6 (cli) (built: Jul 16 2008 19:53:00)
Copyright (c) 1997-2006 The PHP Group
Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies

となっておりました。
そこで、バージョンアップを行おうと、色々なホームページ等を参考にしたのですが、
いまいちどういう方法でバージョンアップしたらよいのか、よく分かりません。
情けないのは分かっておりますが、ご教授いただけたらと思います。
どうか、よろしくお願いいたします。

Re: PHPのバージョンアップ(1)
日時: 2008/10/08 13:03
名前: ken@虚無
私も最近同じ事ではまりました(^^;)

RPMでのインスコメモを残してましたので貼り付けておきますね。
ご参考までに・・。

1.必要なRPM-GPG-KEYを取得
# rpm --import http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka

2.リポジトリ参照の設定を追加
# vi /etc/yum.repos.d/utterramblings.repo
―ここから―
[utterramblings]
name=Jason’s Utter Ramblings Repo
baseurl=http://www.jasonlitka.com/media/EL$releasever/$basearch/
enabled=1
gpgcheck=1
gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka
―ここまで―

3.PHPのversionUPをする
# yum update php
※PHPを指定しないとMySQLとか他のパッケージもアップグレードされますので注意

4.【2.】で追加したリポジトリ参照の設定を無効にする
# vi /etc/yum.repos.d/utterramblings.repo
―変更前―
enabled=1
―変更前―

―変更後―
enabled=0
―変更後―

5.Apacheの再起動
# /etc/rc.d/init.d/httpd restart

6.phpinfoにてVersion確認(Apacheのドキュメントルートに保存)
# vi version.php
―ここから―
<?php
phpinfo();
?>
―ここまで―

7.ブラウザにてhttp://ドメイン/version.phpへアクセスし
PHPのversionが5.2系である事を確認する。

8.version.phpの削除
# rm version.php

これで今のところ問題なく動いてます(^_^)

Re: PHPのバージョンアップ(2)
日時: 2008/10/07 23:22
名前: Lavie
ken@虚無 様、そうそうのコメント、ありがとうございます。


私の環境では、この手順で行っても、
(っていうか、utterramblings.repoがありませんでした。)

また、/etc/yum.repos.d/CentOS-Base.repoをken@虚無 様のインスコメモのように変更しても

バージョンアップが出来ませんでした。

何故でしょう……泣

少し長いですが、CentOS-Base.repoの内容を貼り付けます。

[base]
name=CentOS-$releasever - Base
mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=os
#baseurl=http://mirror.centos.org/centos/$releasever/os/$basearch/
gpgcheck=1
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-5
priority=1

#released updates
[updates]
name=CentOS-$releasever - Updates
mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=updates
#baseurl=http://mirror.centos.org/centos/$releasever/updates/$basearch/
gpgcheck=1
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-5
priority=1

#packages used/produced in the build but not released
[addons]
name=CentOS-$releasever - Addons
mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=addons
#baseurl=http://mirror.centos.org/centos/$releasever/addons/$basearch/
gpgcheck=1
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-5
priority=1

#additional packages that may be useful
[extras]
name=CentOS-$releasever - Extras
mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=extras
#baseurl=http://mirror.centos.org/centos/$releasever/extras/$basearch/
gpgcheck=1
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-5
priority=1

#additional packages that extend functionality of existing packages
[centosplus]
name=CentOS-$releasever - Plus
mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=centosplus
#baseurl=http://mirror.centos.org/centos/$releasever/centosplus/$basearch/
gpgcheck=1
enabled=0
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-5

Re: PHPのバージョンアップ(3)
日時: 2008/10/07 23:49
名前: ken@虚無
>私の環境では、この手順で行っても、
>(っていうか、utterramblings.repoがありませんでした。)

1.のインポートは完了しましたか?
2.リポジトリ参照の設定を追加 は新規作成です。
# vi /etc/yum.repos.d/utterramblings.repo

>また、/etc/yum.repos.d/CentOS-Base.repoをken@虚無 様のインスコメモのように変更しても

ここは申し訳ないですが、aptから最近yumに移ったので詳しい挙動までは把握できてません(^^;)
追加リポジトリ参照の設定をBase.repoに記載しても動かない?

※詳しい方補足お願い致しますm(__)m

Re: PHPのバージョンアップ(4)
日時: 2008/10/07 23:56
名前: Lavie
ken@虚無 様、レスありがとうございます。

>1.のインポートは完了しましたか?
はい。エラー無く終わりました。

>2.リポジトリ参照の設定を追加 は新規作成です。
新規作成で、yum update phpの結果を貼り付けます。

[root@linux ~]# yum update php
Loading "fastestmirror" plugin
Loading "priorities" plugin
Loading "downloadonly" plugin
Loading mirror speeds from cached hostfile
* utterramblings: www.jasonlitka.com
* base: www.ftp.ne.jp
* updates: www.ftp.ne.jp
* addons: www.ftp.ne.jp
* extras: www.ftp.ne.jp
utterramblings 100% |=========================| 951 B 00:00
base 100% |=========================| 1.1 kB 00:00
updates 100% |=========================| 951 B 00:00
addons 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
Excluding Packages in global exclude list
Finished
204 packages excluded due to repository priority protections
Setting up Update Process
Could not find update match for php
No Packages marked for Update

こんな感じです。

Re: PHPのバージョンアップ(5)
日時: 2008/10/08 06:43
名前: stranger
URL: http://ja.528p.com/
Requirements for 3.0.0:

PHP 5.2+, MySQL 5.0+; refer to Documentation.html for required PHP extensions

Requirements for 2.11.x:

PHP 4.2+, MySQL 3.23.32+

正式サポートのないrepoのrpmを入れたくない人は
phpmyadmin 2.11.x: を使う

Re: PHPのバージョンアップ(6)
日時: 2008/10/08 08:18
名前: aki
phpMyAdminのインストールディレクトリ(/var/www/かな?)を削除して以下で

yum -y --enablerepo=rpmforge install phpmyadmin

Re: PHPのバージョンアップ(7)
日時: 2008/10/08 09:23
名前: 通ったがな!
参考になるかな?

http://d.hatena.ne.jp/radioboo/20080307/1204876834#20080307f1

Re: PHPのバージョンアップ(8)
日時: 2008/10/09 12:09
名前: よっしー
URL: https://takao-y.net/~takao/fswiki/wiki.cgi
こんにちは、お世話になります。

小生も試してみましたが、ken@虚無さんの
手順で最新版をインストール出来ました。(^_^)

まあ、強いて言えば、phpmyadminのインストール
をした後で(一旦utterramblings.repoを一時的
に有効にして)yum install php-mcryptの実行が
必要かなと・・・。(^^;)

宜しくお願い致します。

以上

Re: PHPのバージョンアップ(9)
日時: 2008/10/09 21:58
名前: Lavie
こんばんは、Lavieです。

ken@虚無 様
stranger 様
aki 様
通ったがな! 様
よっしー 様 レス本当にありがとうございます。

その後、色々と他のホームページ等を検索していましたら、
PHPをバージョンアップする方法と、phpmyadminをバージョンダウンする方法とがありました。

http://kajuhome.com/cgi-bin/bbshtml/webpatio/1653.shtml
上記のところで、「正式にyumで5.2以上のPHPが出るまで最新版は待った方がいいと思います。」
等の記事を見つけたので、とりあえず、今回はphpmyadminをバージョンダウンを行いました。
上記の記事ですんなりと導入することが出来ました。

皆様のレス、本当にありがとうございました。
非常に助かりました。心よりお礼を申し上げます。m(_ _)m

これにて解決とさせていただきます。
本当にありがとうございました。m(_ _)m

Re: PHPのバージョンアップ(10)
日時: 2008/10/09 23:08
名前: aki
もう閉じられましたが、面倒な事を行わなくても
yum -y --enablerepo=rpmforge install phpmyadmin
でインストールできます。もちろんrpmforgeのリポジトリをインストールした上での話ですけど。

сумки Луи Витон(11)
日時: 2013/08/02(Fri) 14:22
名前: 894828
URL: http://louisvuitton.web-box.ru/
この度はお問い合わせありがとうございます。具体的な金額は製品の状態を見てからの回答となりますが、現時点での情報を参照しますと2000円〜4000円かと思われます。 [url=http://louisvuitton.web-box.ru/]сумки Луи Витон[/url] <a href="http://louisvuitton.web-box.ru/" title="сумки Луи Витон">сумки Луи Витон</a>

Луи Витон(12)
日時: 2013/08/02(Fri) 17:44
名前: 394768
URL: http://louisvuitton.web-box.ru/
ゆみえ様、Stars on Iceですか。教えて下さって有難うございます。それまで一生懸命、お小使いを貯めます。 [url=http://louisvuitton.web-box.ru/]Луи Витон[/url] <a href="http://louisvuitton.web-box.ru/" title="Луи Витон">Луи Витон</a>

Re: PHPのバージョンアップ(13)
日時: 2013/08/07(Wed) 15:51
名前: GUCCI
URL: http://longmenbooks.com/shop/guccl.html
品質保証のためにデザイナーの名前を商品に入れたことでも知られる

※古いスレッドには返信できない場合があります


■関連コンテンツ




▲このページのトップへ戻る

プライバシーポリシー